Subject: Re: bug#22735: 24.3; org-set-effort *without* numeric prefix - still forces me to use nth allowed

From: Nicolas Goaziou <[email-masked]>
Date: Sat, 02 Dec 2017 09:28:03 +0100

Hello,

David Caldwell <[email-masked]> writes:

> on one box (emacs 24.3.1, org-mode version  7.9.3f) when I do 'C-c C-x
> e', i can enter an effort estimate string directly as shown in
> Effort_ALL property (e.g. 3w).however on another box (emacs 24.3.1,
> org-mode version 8.3.3), the ' C-c C-x e' prompt me: ' Select 1-9,0,
> [RET]: 0 1h 2h 4h 1d 2d 3d 4d 1w 2w 3w 4w'if i try to enter 3w, it
> sets the effort to 2h (the 3rd entry)org-set-effort help describes
> that behavior when a numerical prefix arg is usedit's happening for me
> with or without a numeric prefix argit seems to me that without the
> numeric prefix, i should still be able to enter 3wthe 'nth allowed'
> prompt should only occur *with* the numeric prefix
>
> effort settings:
>
>  
> the only effort-related setting in my .emacs file is:               
> (setq org-time-clocksum-use-effort-durations t)at the top of the .org
> file:                #+PROPERTY: Effort_ALL 0 1h 2h 4h 1d 2d 3d 4d 1w
> 2w 3w 4wunder the top level heading for which i want
> estimates:                :PROPERTIES:                :COLUMNS: 
> %90ITEM(Task) %10Effort(Estimated Effort){:}
> %CLOCKSUM                :END:
>  

The behaviour you describe was introduced in:

    commit a1fea8b3d1932b1c5977e778af634e7c26f063a1
    Author: Carsten Dominik <[email-masked]>
    Date:   Tue Nov 3 17:48:37 2009 +0100

        Make `org-set-effort' access effort values by index

IMO, it would be better to use regular completion instead, as you
suggest, if only to get access to items past the tenth. However, there
might be a specific reason for this change. Carsten (Cc'ed) may give us
some hindsight here.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738